diff -uNr knemo.orig/src/kcm/configdialog.cpp knemo/src/kcm/configdialog.cpp
--- knemo.orig/src/kcm/configdialog.cpp	2012-04-14 02:14:14.000000000 -0500
+++ knemo/src/kcm/configdialog.cpp	2012-04-18 11:16:18.491606194 -0500
@@ -69,11 +69,11 @@
     : KCModule( KNemoFactory::instance(), parent, name ),
       mLock( false ),
       mDlg( new ConfigDlg( this ) ),
-      mColorVLines( 0x04FB1D ),
-      mColorHLines( 0x04FB1D ),
-      mColorIncoming( 0x1889FF ),
+      mColorVLines( 0x101726 ),
+      mColorHLines( 0x30394C ),
+      mColorIncoming( 0x556FFF ),
       mColorOutgoing( 0xFF7F08 ),
-      mColorBackground( 0x313031 )
+      mColorBackground( 0x090D14 )
 {
     KGlobal::locale()->insertCatalogue("kcm_knemo");
     setupToolTipArray();
@@ -268,8 +268,9 @@
     mToolTipContent = config->readNumEntry( "ToolTipContent", 2 );
 
     // select the backend from the config file
+    // set default backend to Sys (kernels >= 2.6)
     bool foundBackend = false;
-    TQString backend = config->readEntry( "Backend", "Nettools" );
+    TQString backend = config->readEntry( "Backend", "Sys" );
     int i;
     for ( i = 0; KCMRegistry[i].name != TQString(); i++ )
     {
@@ -282,7 +283,8 @@
 
     if ( !foundBackend )
     {
-        i = 0; // use the first backend (Nettools)
+        i = 1; // use the second backend ('Sys' as default kernel >=2.6 )
+
     }
     mDlg->comboBoxBackends->setCurrentItem( i );
     mDlg->textLabelBackendDescription->setText( KCMRegistry[i].description );
@@ -339,7 +341,7 @@
     mDlg->spinBoxMinValue->setValue( config->readNumEntry( "MinimumValue", 0 ) );
     mDlg->spinBoxMaxValue->setValue( config->readNumEntry( "MaximumValue", 1 ) );
     mDlg->checkBoxLabels->setChecked( config->readBoolEntry( "Labels", true ) );
-    mDlg->checkBoxTopBar->setChecked( config->readBoolEntry( "TopBar", false ) );
+    mDlg->checkBoxTopBar->setChecked( config->readBoolEntry( "TopBar", true ) );
     mDlg->checkBoxVLines->setChecked( config->readBoolEntry( "VerticalLines", true ) );
     mDlg->checkBoxHLines->setChecked( config->readBoolEntry( "HorizontalLines", true ) );
     mDlg->checkBoxIncoming->setChecked( config->readBoolEntry( "ShowIncoming", true ) );
@@ -494,8 +496,8 @@
     mDlg->numInputPollInterval->setValue( 1 );
     mDlg->numInputSaveInterval->setValue( 60 );
     mDlg->lineEditStatisticsDir->setText( KGlobal::dirs()->saveLocation( "data", "knemo/" ) );
-    mDlg->comboBoxBackends->setCurrentItem( 0 );
-    mDlg->textLabelBackendDescription->setText( KCMRegistry[0].description );
+    mDlg->comboBoxBackends->setCurrentItem( 1 );
+    mDlg->textLabelBackendDescription->setText( KCMRegistry[1].description );
 
     // Default tool tips
     mToolTipContent = 2;
@@ -509,7 +511,7 @@
     mDlg->spinBoxMinValue->setValue( 0 );
     mDlg->spinBoxMaxValue->setValue( 1 );
     mDlg->checkBoxLabels->setChecked( true );
-    mDlg->checkBoxTopBar->setChecked( false );
+    mDlg->checkBoxTopBar->setChecked( true );
     mDlg->checkBoxVLines->setChecked( true );
     mDlg->checkBoxHLines->setChecked( true );
     mDlg->checkBoxIncoming->setChecked( true );
diff -uNr knemo.orig/src/knemod/knemodaemon.cpp knemo/src/knemod/knemodaemon.cpp
--- knemo.orig/src/knemod/knemodaemon.cpp	2012-02-08 18:04:27.000000000 -0600
+++ knemo/src/knemod/knemodaemon.cpp	2012-04-18 11:17:07.841227760 -0500
@@ -44,11 +44,11 @@
 
 KNemoDaemon::KNemoDaemon( const TQCString& name )
     : KDEDModule( name ),
-      mColorVLines( 0x04FB1D ),
-      mColorHLines( 0x04FB1D ),
-      mColorIncoming( 0x1889FF ),
+      mColorVLines( 0x101726 ),
+      mColorHLines( 0x30394C ),
+      mColorIncoming( 0x556FFF ),
       mColorOutgoing( 0xFF7F08 ),
-      mColorBackground( 0x313031 ),
+      mColorBackground( 0x090D14 ),
       mInstance( new KInstance( "knemo" ) ),
       mNotifyInstance( new KNotifyClient::Instance( mInstance ) )
 {
@@ -58,7 +58,7 @@
     // select the backend from the config file
     KConfig* config = new KConfig( "knemorc", true );
     config->setGroup( "General" );
-    mBackendName = config->readEntry( "Backend", "Nettools" );
+    mBackendName = config->readEntry( "Backend", "Sys" );
     delete config;
 
     bool foundBackend = false;
@@ -74,7 +74,7 @@
 
     if ( !foundBackend )
     {
-        i = 0; // use the first backend (Nettools)
+        i = 1; // use the second backend ('Sys' as default kernel >=2.6 )
     }
     mBackend = ( *DaemonRegistry[i].function )( mInterfaceDict );
 
@@ -163,7 +163,7 @@
     mPlotterSettings.minimumValue = config->readNumEntry( "MinimumValue", 0 );
     mPlotterSettings.maximumValue = config->readNumEntry( "MaximumValue", 1 );
     mPlotterSettings.labels = config->readBoolEntry( "Labels", true );
-    mPlotterSettings.topBar = config->readBoolEntry( "TopBar", false );
+    mPlotterSettings.topBar = config->readBoolEntry( "TopBar", true );
     mPlotterSettings.showIncoming = config->readBoolEntry( "ShowIncoming", true );
     mPlotterSettings.showOutgoing = config->readBoolEntry( "ShowOutgoing", true );
     mPlotterSettings.verticalLines = config->readBoolEntry( "VerticalLines", true );
@@ -269,7 +269,7 @@
     mPlotterSettings.minimumValue = config->readNumEntry( "MinimumValue", 0 );
     mPlotterSettings.maximumValue = config->readNumEntry( "MaximumValue", 1 );
     mPlotterSettings.labels = config->readBoolEntry( "Labels", true );
-    mPlotterSettings.topBar = config->readBoolEntry( "TopBar", false );
+    mPlotterSettings.topBar = config->readBoolEntry( "TopBar", true );
     mPlotterSettings.showIncoming = config->readBoolEntry( "ShowIncoming", true );
     mPlotterSettings.showOutgoing = config->readBoolEntry( "ShowOutgoing", true );
     mPlotterSettings.verticalLines = config->readBoolEntry( "VerticalLines", true );
diff -uNr knemo.orig/src/knemod/signalplotter.cpp knemo/src/knemod/signalplotter.cpp
--- knemo.orig/src/knemod/signalplotter.cpp	2012-02-08 18:04:27.000000000 -0600
+++ knemo/src/knemod/signalplotter.cpp	2012-04-18 11:18:24.961199260 -0500
@@ -71,7 +71,7 @@
     mHorizontalLinesCount = 5;
 
     mShowLabels = true;
-    mShowTopBar = false;
+    mShowTopBar = true;
     mFontSize = 8;
 
     mBackgroundColor = TQColor( 0x313031 );
